Download it now!
Bug 85812 - FILEOPEN RTF Wrong language for the text
Summary: FILEOPEN RTF Wrong language for the text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.4.0 target:4.3.4
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2014-11-03 15:49 UTC by Urmas
Modified: 2015-12-17 11:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Demo (4.37 KB, text/rtf)
2014-11-03 15:49 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-11-03 15:49:44 UTC
Created attachment 108846 [details]
Demo

The text in the attached document should be US English, but it is not in LO.
Comment 1 Terrence Enger 2014-11-03 19:28:57 UTC
What language do you see?  Where do you see it?

Terry.
Comment 2 Andras Timar 2014-11-03 21:02:19 UTC
I see Russian in the status bar in current master and in 4.3. In 4.2 it is English US.
Comment 3 Terrence Enger 2014-11-03 23:36:31 UTC
Silly me, I accepted "Russian" as a perfectly cromulent English word.


In the daily dbgutil bibisect repository, I see from `bit bibisect bad`:

    2d5ec4b381617f69c8daf3f149f71425af0ce9e9 is the first bad commit
    commit 2d5ec4b381617f69c8daf3f149f71425af0ce9e9
    Author: Miklos Vajna <vmiklos@collabora.co.uk>
    Date:   Wed Jun 18 11:44:34 2014 +0000

        2014-06-18

    :100644 100644 9dbe72c96d13351cf4879481311acf169be2fabc 426040151e25ab34608c1a48dcc8ce13f56cd591 M	build-info.txt
    :040000 040000 178958f858716aaec2ebf8cf30242e25e213d3b2 48d4cbc2d07d98d0855650a07a3591184041f373 M	opt

and from `git bisect log`:

    # bad: [55b9e9c3f5adeb3aaba6f08e7b619552c03453a0] 2014-11-03: source-hash-d9473f25380c627966b4406cc4cdfaafcf44bc37
    # good: [b3130c846de5cf1b4be48b48dfc780bb369549fa] 2014-05-21
    git bisect start 'origin/master' 'oldest'
    # bad: [59a8d89d4255a1cbcab4fcfeff9270dd56c62aed] 2014-08-12
    git bisect bad 59a8d89d4255a1cbcab4fcfeff9270dd56c62aed
    # bad: [51d0b5cdc80ce7b0a3e0694e91547d3e7942f19f] 2014-07-01
    git bisect bad 51d0b5cdc80ce7b0a3e0694e91547d3e7942f19f
    # good: [71f45055280ce7f7be51a85a6dfe489644dbe88b] 2014-06-10
    git bisect good 71f45055280ce7f7be51a85a6dfe489644dbe88b
    # bad: [3940c8876107f8bd07b8938a3a114d0e056af5b6] 2014-06-20
    git bisect bad 3940c8876107f8bd07b8938a3a114d0e056af5b6
    # good: [8415e4b7f11bc7defc143883e5daf89e90643de7] 2014-06-15
    git bisect good 8415e4b7f11bc7defc143883e5daf89e90643de7
    # good: [35c0f684cef2fdbe270ff9d3b37169731ef61033] 2014-06-17
    git bisect good 35c0f684cef2fdbe270ff9d3b37169731ef61033
    # bad: [49ffb467231cc09d9e351aa2d37f2c0d99c3eb3d] 2014-06-19
    git bisect bad 49ffb467231cc09d9e351aa2d37f2c0d99c3eb3d
    # bad: [2d5ec4b381617f69c8daf3f149f71425af0ce9e9] 2014-06-18
    git bisect bad 2d5ec4b381617f69c8daf3f149f71425af0ce9e9
    # first bad commit: [2d5ec4b381617f69c8daf3f149f71425af0ce9e9] 2014-06-18

Source hashes:  last good commmit : ec95abf
                first bad commit  : 836454d

This range includes 62 commits.  In the git log, I notice
"writerfilter" in commit messages:

    commit fc49c052dbdbb5ab3b0a02a13143705f769b9662
    Author: Michael Stahl <mstahl@redhat.com>
    Date:   Wed Jun 18 00:45:50 2014 +0200

        writerfilter: RTF import: fix handling of associated char properties


    commit 31376a31d12a22d4870bbe4033dbbce18c13f07d
    Author: Michael Stahl <mstahl@redhat.com>
    Date:   Tue Jun 17 22:58:57 2014 +0200

        writerfilter: try to make tinderbox happy again


    commit 1be0a3fa9ebb22b607c54b47739d4467acfed259
    Author: Michael Stahl <mstahl@redhat.com>
    Date:   Tue Jun 17 18:40:04 2014 +0200

        n#825305: writerfilter RTF import: override style properties like Word
    
 
    commit 6c0e1270889deb513f961f864dfc1c02ee8705f4
    Author: Michael Stahl <mstahl@redhat.com>
    Date:   Fri Jun 13 23:49:59 2014 +0200

        fdo#70578: writerfilter RTF import: by default style is para style 0
Comment 4 Andras Timar 2014-11-04 07:47:00 UTC
fc49c052dbdbb5ab3b0a02a13143705f769b9662 is the first bad commit
commit fc49c052dbdbb5ab3b0a02a13143705f769b9662
Author: Michael Stahl <mstahl@redhat.com>
Date:   Wed Jun 18 00:45:50 2014 +0200

    writerfilter: RTF import: fix handling of associated char properties
    
    These are all dependent on the active \lrtch \rtlch \loch \hich \dbch.
    
    There does not appear to be a SPRM Id for CJK bold / italic / fontsize.
    
    Change-Id: I055ac29700ccd3b32b02c3f7685629254a6c3fd6
Comment 5 Commit Notification 2014-11-04 23:18:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88d3f9e4cf64e4ef037063b26ddf347fd42d8d84

fdo#85812: RTF import: fix run type in new groups

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-05 18:05:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9a9718bb1f64318429562ecdaa3d3763d9e2f4a

fdo#85812: RTF import: better fix for run type in new groups

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2014-11-05 18:08:42 UTC
hopefully fixed now on master
Comment 8 Commit Notification 2014-11-06 12:52:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6ca0bb117fd31a61f2eac06187c0f41ba95a768&h=libreoffice-4-3

fdo#85812: RTF import: fix run type in new groups

It will be available in 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2014-11-06 13:20:14 UTC
commit script still buggy, fixing target
Comment 10 Robinson Tryon (qubit) 2015-12-17 11:10:52 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf  bibisected )
Remove redundant 'rtf_filter'.
[NinjaEdit]